# Global Settings

urwid.set_encoding(encoding: str) → None

  Set the byte encoding to assume when processing strings and the encoding to use when converting unicode strings.

urwid.get_encoding_mode() → Literal['wide', 'narrow', 'utf8']

  Get the mode Urwid is using when processing text strings. Returns ‘narrow’ for 8-bit encodings, ‘wide’ for CJK encodings or ‘utf8’ for UTF-8 encodings.

urwid.supports_unicode() → bool

  Return True if python is able to convert non-ascii unicode strings to the current encoding.